Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005030OCamlOCaml generalpublic2010-04-20 17:322011-05-29 12:19
Reporterglondu 
Assigned Toxleroy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.0+dev 
Summary0005030: ocamlopt generates duplicate symbols on arm
DescriptionHello,

While rebuilding all Debian packages (armel port) with ocamlopt enabled (using trunk r10268), ssreflect failed to build. The build log is available at [1].

The assembler is complaining about multiple definitions of the same symbol. This error doesn't occur on amd64.


Cheers,

--
St├ęphane
Additional Information[1] http://debian.glondu.net/debian/ocaml31120dev17r10268/failures/ssreflect_1.2%2Bdfsg-4%2B3.12.0%2Bdev17%2B10268_armel.build [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005362)
xleroy (administrator)
2010-04-22 14:42

Fixed in SVN trunk. Data labels were starting too low, causing clashes. This was fixed earlier on other platforms but not on ARM.

- Issue History
Date Modified Username Field Change
2010-04-20 17:32 glondu New Issue
2010-04-22 14:42 xleroy Note Added: 0005362
2010-04-22 14:42 xleroy Assigned To => xleroy
2010-04-22 14:42 xleroy Status new => resolved
2010-04-22 14:42 xleroy Resolution open => fixed
2010-04-22 14:44 xleroy Fixed in Version => 3.12.0+dev
2011-05-29 12:19 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker